﻿using System;
using System.Linq;
using System.Windows;
using Telerik.Windows.Controls;
using DataFormDataFieldTextChangedEvent;
using System.Windows.Controls;

namespace DataFormDataFieldTextChangedEvent
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataForm1.ItemsSource = Employee.GetEmployees();
        }

        private void DataForm1_AutoGeneratingField(object sender, Telerik.Windows.Controls.Data.DataForm.AutoGeneratingFieldEventArgs e)
        {
            this.Dispatcher.BeginInvoke(System.Windows.Threading.DispatcherPriority.Render, new Action(() =>
            {
                var textbox = e.DataField.Content as TextBox;
                if (textbox != null)
                {
                    textbox.TextChanged += MainWindow_TextChanged;
                }
            }));
        }

        private void MainWindow_TextChanged(object sender, TextChangedEventArgs e)
        {

        }
    }
}
